function Y = normalize_spectra( X )
% Y = normalize_spectra( X )
% Normalizes the columns of matrix X such that the median of each column is 1.
% This is useful for normalizing data for whom most of the dimensions should
% be similar in magniture (> 50% of dimensions).  This is true for spectra.

Y=zeros(size(X));

% for each column
for i=1:size(X,2)
    Y(:,i) = X(:,i) / median(X(:,i));
end
